/*
 * ssidsniff - a tool for wireless network reconnaissance
 * Copyright (C) 2002-2007 Kostas Evangelinos <kos@bastard.net>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

/*
 * $Id: mach-none.c,v 1.4 2007-06-20 01:47:12 kos Exp $
 *
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <string.h>

char *
mach_battery_status(void) {
  return "NA";
}

float
mach_freq_get(char *device) {
  return 0;
}

int 
mach_channel_set(char *device, int ch) {
  return 1;
}

int 
mach_snr(char *device) {
  return -1;
}

int 
mach_iswifi(char *device, char *descr, int len) {
  if(descr)
    strncpy(descr, "Unknown", len);
  return 1;
}

int
mach_set_if(char *device, int a) {
  return 1;
}

int
mach_set_monitor(char *device, int a) {
  return 1;
}
