#!/usr/bin/perl
#
# $Id: oui2h.pl,v 1.6 2007-06-20 01:47:12 kos Exp $
#
#
# ssidsniff - a tool for wireless network reconnaissance
# Copyright (C) 2002-2007 Kostas Evangelinos <kos@bastard.net>
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

$serial = 0;

print "#define OUI_DATE ";
print "\"".localtime(time())."\"\n\n";
print "static vendor_maclist_t vendor_maclist[] = {\n";
while(<>) {
	if(/^([0-9a-fA-F][0-9a-fA-F]-[^\s]+)[\s]+[^\s]+[\s]+(.*)$/) {
		$mac = $1;
		$mac =~ tr/-/:/;
		$name= $2;
		$name=~ s/[^A-Za-z\s.:]//g;
		print "{\"".$mac."\", \"".$name."\"},\n";
    $serial++;
	}
}
print "{NULL, NULL}\n};\n";
print STDERR "Processed $serial entries\n";
