/*
 * ssidsniff - a tool for wireless network reconnaissance
 * Copyright (C) 2002-2007 Kostas Evangelinos <kos@bastard.net>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

/*
 * $Id: xpaudio-none.c,v 1.3 2007-06-20 01:47:12 kos Exp $
 *
 *
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdio.h>

#include "xmalloc.h"
#include "xpaudio.h"

xpaudio_t *
xpaudio_new(char *ud) {
  xpaudio_t *xpa;
  
  xpa = xcalloc(1, sizeof(xpaudio_t));
  return xpa;
}

int
xpaudio_destroy(xpaudio_t *xpa) {
  xfree(xpa);
  return 0;
}

int
xpaudio_set(xpaudio_t *xpa, unsigned int param, int val) {
  return -1;
}

int 
xpaudio_get(xpaudio_t *xpa, unsigned int param) {
  return -1;
}

char *
xpaudio_describe(xpaudio_t *xpa) {
  return "Dummy sound module";
}

int
xpaudio_send(xpaudio_t *xpa, char *data, unsigned int len) {
  printf("\a");
  return 0;
}
