/*
 * ssidsniff - a tool for wireless network reconnaissance
 * Copyright (C) 2002-2007 Kostas Evangelinos <kos@bastard.net>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

/*
 * $Id: xpaudio.c,v 1.5 2007-06-20 01:47:12 kos Exp $
 *
 * cross-platform? eh...
 *
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#if HAVE_ALSA_ASOUNDLIB_H
#include "xpaudio-alsa.c"
#elif HAVE_SYS_AUDIOIO_H
#include "xpaudio-bsd.c"
#elif HAVE_MACHINE_PCAUDIOIO_H
#include "xpaudio-bsd.c"
#elif HAVE_ESD_H
#include "xpaudio-esd.c"
#elif HAVE_LINUX_SOUNDCARD_H
#include "xpaudio-oss.c"
#else
#include "xpaudio-none.c"
#endif
